//@line 36 "/export/home/mozilla/uild/source/firefox-1.5b1-source/mozilla/browser/base/content/safeMode.js"


function restartApp() {
  var appStartup = Components.classes["@mozilla.org/toolkit/app-startup;1"]
                             .getService(Components.interfaces.nsIAppStartup);
  appStartup.quit(appStartup.eAttemptQuit | appStartup.eRestart);
}

function clearAllPrefs() {
  var prefService = Components.classes["@mozilla.org/preferences-service;1"]
                              .getService(Components.interfaces.nsIPrefService);
  prefService.resetUserPrefs();
}

function restoreDefaultBookmarks() {
  var prefBranch  = Components.classes["@mozilla.org/preferences-service;1"]
                              .getService(Components.interfaces.nsIPrefBranch);
  prefBranch.setBoolPref("browser.bookmarks.restore_default_bookmarks", true);
}

function onOK() {
  if (document.getElementById("resetUserPrefs").checked)
    clearAllPrefs();

  if (document.getElementById("resetBookmarks").checked)
    restoreDefaultBookmarks();

  restartApp();
}
